Issue 122310 - [sidebar] page size value not displays as width*Height in size panel in landscape orientation
[sidebar] page size value not displays as width*Height in size panel in lands...
Status: RESOLVED FIXED
Product: Writer
Classification: Application
Component: formatting
4.0.0-dev
PC Windows 7
: P3 minor (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-14 14:23 UTC by Prachi
Modified: 2013-05-17 11:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
highlighted area shows size value is not displaying correctly in landscape orientation (184.03 KB, image/png)
2013-05-14 14:23 UTC, Prachi
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Prachi 2013-05-14 14:23:51 UTC
Created attachment 80680 [details]
highlighted area shows size value is not displaying correctly in landscape orientation

overview: when change to landscape orientation size value displays as Height * Width(unit) instead of Width * Height(unit) in size panel.

Steps to Reproduce:
    1) New a document (Writer).
    2) Change page orientation to Landscape.
    3) Drop down size panel.

Actual Result: In  size panel, size values  displays as Height * width(unit).
For example: value in paper size A5 is 5.83*8.27"

Expected Result: In size panel, size values should displays as Width * Height (unit).Value in paper size A5 should be 8.27*5.83"

Build Date & Platform:
    Build: AOO 4.0 Rev.1479897
    OS: windows 7 

Additional Information:
    Test case reference: AOOTest-1182:Writer Page section - Size - with
 Orientation 

Regression Info: I couldn't find similar bug logged for previous build.
Comment 1 Armin Le Grand 2013-05-15 10:03:16 UTC
ALG: Indeed it should always be width*height, where width > height when landscape and vice versa. The current default shows height*width which I have never seen anywhere and makes no sense. One for Olli...
Comment 2 Oliver-Rainer Wittmann 2013-05-15 10:13:11 UTC
Adjusting summary:
- It is not a regression. I had migrated the display of the page size as Height x Width from Symphony.
 --> removing string "Regression" from summary
- It is related to the newly introduced sidebar feature.
 --> adding string "[sidebar]" to summary
 --> add as blocking issue to bug 121420


As Armin already state the page size is always (even in Portrait page orientation) as Height x Width.

I will change the display of the page size to Width x Height.
Comment 3 SVN Robot 2013-05-17 11:38:44 UTC
"orw" committed SVN revision 1483746 into trunk:
122310: page property panel, page size control - display page size as Width x...
Comment 4 Oliver-Rainer Wittmann 2013-05-17 11:44:52 UTC
fixed on trunk for AOO 4.0